nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Help needed for installing riva-tnt drivers for Debian lenny (http://www.nvnews.net/vbulletin/showthread.php?t=133071)

karimb 05-18-09 10:18 AM

Help needed for installing riva-tnt drivers for Debian lenny
 
Hi

Afther couple of days trying im still having problems with my driver installation.
I have tried many tips from net with not so much luck :)

I would appreciate a simple begining to end guid how to do it as
I think i have messed already too much :)

I have Debian lenny installation and and .. this what i have done.


lspci |grep VGA
01:00.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA TNT2 Model 64/Model 64 Pro] (rev 15)

stop the gnome
/etc/init.d/gdm stop

Run the driver installation
sh NVIDIA-Linux-x86-71.86.09-pkg1.runaccpet LICENSES


accpet LICENSES
-->YES

No precompiled kernel interface was found to match your kernel;
--> No

The CC version check failed:
The compiler used to compile the kernel (gcc 4.1) does not exactly match the
current compiler (gcc 4.3). The Linux 2.6 kernel module loader rejects
kernel modules built with a version of gcc that does not exactly match that
of the compiler used to build the running kernel.

If you know what you are doing and want to ignore the gcc version check,
select "No" to continue installation. Otherwise, select "Yes" to abort
installation, set the CC environment variable to the name of the compiler
used to compile your kernel, and restart installation. Abort now?

--> NO

WARNING: You appear to be using a modular X.Org release, but the X library
installation path, 'X: warning; process set to priority -2 instead
of requested priority 0
/usr/lib', reported by `/usr/bin/X -showDefaultLibPath` does not
exist. Please check your X.Org installation.

-->OK

WARNING: You appear to be using a modular X.Org release, but the X module
installation path, 'X: warning; process set to priority -2 instead
of requested priority 0
/usr/lib/xorg/modules', reported by `/usr/bin/X
-showDefaultModulePath` does not exist. Please check your X.Org
installation.
-->OK


Installation of the NVIDIA Accelerated Graphics Driver for Linux-x86
(version: 71.86.09) is now complete. Please update your XF86Config or
xorg.conf file as appropriate; see the file
/usr/share/doc/NVIDIA_GLX-1.0/README for details.
-->OK


I Edited xorc.conf and added lines:

Section "Module"
Load "glx"
EndSection


Section "Device"
Identifier "Configured Video Device"
Driver "nvidia"
EndSection


modprobe nvidia Gives some errors
FATAL: Error inserting nvidia (/lib/modules/2.6.26-2-686/nvidia/nvidia.ko): No such device

And also Xorg fails to start.

(II) LoadModule: "glx"
(WW) Warning, couldn't open module glx
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (module does not exist, 0)


(II) LoadModule: "nvidia"
(WW) Warning, couldn't open module nvidia
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (module does not exist, 0)



Do i miss something important ..or
what should i try to fix or do next :)

Kari

a7v 05-18-09 03:39 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
Hmm, something went very wrong while installing the Xorg parts of the nvidia-driver.
Quote:

/usr/lib', reported by `/usr/bin/X -showDefaultLibPath` does not exist.
Obviously the installer is wrong here otherwise your system would be almost totally messed up.

Can you run a 'nvidia-bugreport', gzip it and then post it here as an attachment?

AaronP 05-18-09 04:33 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
The problem here is not that the installer thinks that "/usr/lib" doesn't exist, but that the X server is saying that the default library path is "X: warning; process set to priority -2 instead of requested priority 0<newline>/usr/lib" and no such directory with that name exists. That's an X server bug.

karimb 05-19-09 02:42 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
1 Attachment(s)
Hi again ..

I re-installed my debian and managed to install nvidia drivers to gnome by
using inch newer file NVIDIA-Linux-x86-71.86.09-pkg1.run.
At as least i think the driver installation went well ..and gnome was happy and running.

But the glx was still missing.. so i tried to install it by typing

apt-get install nvidia-glx nvidia-glx-dev nvidia-xconfig

And afther that i ended to same again.

Gnome dount start and re-running driver installation gives errors.

sh NVIDIA-Linux-x86-71.86.09-pkg1.run gives tha fancy error

WARNING: You appear to be using a modular X.Org release, but the X library
installation path, 'X: warning; process set to priority -2 instead
of requested priority 0
/usr/lib', reported by `/usr/bin/X -showDefaultLibPath` does not
exist. Please check your X.Org installation.
OK
WARNING: You appear to be using a modular X.Org release, but the X module
installation path, 'X: warning; process set to priority -2 instead
of requested priority 0
/usr/lib/xorg/modules', reported by `/usr/bin/X
-showDefaultModulePath` does not exist. Please check your X.Org
installation.
OK

Installation of the NVIDIA Accelerated Graphics Driver for Linux-x86
(version: 71.86.09) is now complete. Please update your XF86Config or
xorg.conf file as appropriate; see the file
/usr/share/doc/NVIDIA_GLX-1.0/README for details.
OK


if i but line Driver "nvidia" to xorg.conf the gnome dount start anymore .
/var/log/Xorg.log gives erros like
(II) LoadModule: "nvidia"
(WW) Warning, couldn't open module nvidia
(II) UnloadModule: "nvidia"
(EE) Failed to load module "nvidia" (module does not exist, 0)
aand(EE) No drivers available.

Fatal server error:
no screens found


I also tried to
remove those glx packets and re install the gnome ..with no luck :)

engin 05-19-09 04:11 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
You should compile the driver with the same gcc version as compiled your kernel.

Code:

apt-get install gcc-4.1
cd /usr/bin
rm gcc
ln -s gcc-4.1 gcc

this commands would install gcc-4.1 than remove the shortcut gcc pointing to your gcc-4.3 and creates a link to newly installed gcc-4.1 version. I see you insisted on installing with the wrong version.

uninstall what you installed first.
Code:

nvidia-installer --uninstall
sh NVIDIA-yourdriverversionxx


AaronP 05-19-09 10:14 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
Don't do that! You should set the CC environment variable instead, as in
Code:

CC=gcc-4.1 sh NVIDIA-yourdriverversionxx

karimb 05-28-09 02:49 PM

Re: Help needed for installing riva-tnt drivers for Debian lenny
 
Hi and Thanks for usefull tips.

The drivers are in ..only the glx is missing.

How should I install glx without messing gnome as earlier.

Kari :)


All times are GMT -5. The time now is 03:52 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.